<div class="header">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-3">
                <div class="sidebar-widget category">
                    <h2 class="title">Category</h2>
                    <nav class="navbar bg-light" style="height: 100%;">
                        <ul class="navbar-nav" *ngFor="let categorie of listcategorie">
                            <li class="nav-item" *ngIf="categorie.name == 'Beauté & santé'">
                                <a class="nav-link" [routerLink]="['/listpromo',categorie.id]"><i
                                        class="fa fa-female"></i>{{categorie.name}}</a>
                            </li>
                            <li class="nav-item" *ngIf="categorie.name == 'Superette'">
                                <a class="nav-link" [routerLink]="['/listpromo',categorie.id]"><i
                                        class="fa fa-shopping-bag"></i>{{categorie.name}}</a>
                            </li>
                            <li class="nav-item" *ngIf="categorie.name == 'Maison & Bureau'">
                                <a class="nav-link" [routerLink]="['/listpromo',categorie.id]"><i
                                        class="fa fa-home"></i>{{categorie.name}}</a>
                            </li>
                            <li class="nav-item" *ngIf="categorie.name == 'Téléphone & Tablette'">
                                <a class="nav-link" [routerLink]="['/listpromo',categorie.id]"><i
                                        class="fa fa-mobile-alt"></i>{{categorie.name}}</a>
                            </li>
                            <li class="nav-item" *ngIf="categorie.name == 'Mode'">
                                <a class="nav-link" [routerLink]="['/listpromo',categorie.id]"><i
                                        class="fa fa-tshirt"></i>{{categorie.name}}</a>
                            </li>
                            <li class="nav-item" *ngIf="categorie.name == 'Informatique'">
                                <a class="nav-link" [routerLink]="['/listpromo',categorie.id]"><i
                                        class="fas fa-desktop"></i>{{categorie.name}}</a>
                            </li>
                            <li class="nav-item" *ngIf="categorie.name == 'Electronique'">
                                <a class="nav-link" [routerLink]="['/listpromo',categorie.id]"><i
                                        class="fa fa-microchip"></i>{{categorie.name}}</a>
                            </li>
                            <li class="nav-item" *ngIf="categorie.name == 'Jeux vidéo & console'">
                                <a class="nav-link" [routerLink]="['/listpromo',categorie.id]"><i
                                        class="fa fa-gamepad"></i>{{categorie.name}}</a>
                            </li>
                            <li class="nav-item" *ngIf="categorie.name == 'Articles de sport'">
                                <a class="nav-link" [routerLink]="['/listpromo',categorie.id]"><i
                                        class="fa fa-dumbbell"></i>{{categorie.name}}</a>
                            </li>
                            <li class="nav-item" *ngIf="categorie.name == 'Auto & Moto'">
                                <a class="nav-link" [routerLink]="['/listpromo',categorie.id]"><i
                                        class="fa fa-car"></i>{{categorie.name}}</a>
                            </li>
                            <li class="nav-item" *ngIf="categorie.name == 'Jardin & plein air'">
                                <a class="nav-link" [routerLink]="['/listpromo',categorie.id]"><i
                                        class="fa fa-flower-daffodil"></i>{{categorie.name}}</a>
                            </li>
                        </ul>
                    </nav>
                </div>
            </div>
            <div class="col-md-6">
               <!--  <div class="header-slider normal-slider">
                    <div class="header-slider-item">
                        <img src="..\assets\img\slider-1.jpg" alt="Slider Image" />
                        <div class="header-slider-caption">

                            <a class="btn" href=""><i class="fa fa-shopping-cart"></i>Shop Now</a>
                        </div>
                    </div>
                    <div class="header-slider-item">
                        <img src="..\assets\img\slider-2.jpg" alt="Slider Image" />
                        <div class="header-slider-caption">

                            <a class="btn" href=""><i class="fa fa-shopping-cart"></i>Shop Now</a>
                        </div>
                    </div>
                    <div class="header-slider-item">
                        <img src="..\assets\img\slider-3.jpg" alt="Slider Image" />
                        <div class="header-slider-caption">

                            <a class="btn" href=""><i class="fa fa-shopping-cart"></i>Shop Now</a>
                        </div>
                    </div>
                </div> -->
                <ngx-light-carousel style="max-width: 700px; margin-bottom: 100px; display: block;" [options]="options3"
                    [data]="products3" class="wrapper c-accent">
                    <section ngx-light-carousel-container class="content">
                        <article class="cursor-pointer" ngx-light-carousel-item 
                           >
                            <div class="item">
                                <div class="cursor-pointer">
                                    <div class="product">
                                        <img class="w-200" style="width: 120%;" src="assets\img\slider-1.jpg" >
                                     
                                    </div>
                                </div>
                            </div>

                        </article>

                        <article class="cursor-pointer" ngx-light-carousel-item
                        >
                       

                         <div class="item">
                             <div class="cursor-pointer">
                                 <div class="product">
                                     <img class="w-200" style="width: 120%;" src="assets\img\slider4.jpg" >
                                  
                                 </div>
                             </div>
                         </div> 


                        
                     </article> 


                     <article class="cursor-pointer" ngx-light-carousel-item
                     >

                      <div class="item">
                          <div class="cursor-pointer">
                              <div class="product">
                                  <img class="w-200" style="width: 120%;" src="assets\img\slider-3.jpg" >
                               
                              </div>
                          </div>
                      </div>
                  </article> 


                       
                    </section>

                    <ng-template #carouselContent let-product let-i="index">
                        <article>
                            <div class="item cursor-pointer">
                                <div class="product">
                                    <a href="{{product.url}}">
                                        <img class="w-100" src="{{product.image}}">
                                    </a>
                                    <div class="text-left mt-2">
                                        <h3 class="title mb-1">{{product.title}}</h3>
                                        <div class="pricing d-flex">
                                            <span class="sale-price text-danger ml-2"
                                                *ngIf="product.salePrice">{{product.salePrice | currency}}</span>
                                            <span class="original-price"
                                                [ngClass]="{'on-sale ml-1': product.salePrice}">{{product.regularPrice |
                                                currency}}</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </article>
                    </ng-template>

                    <ng-template #carouselPrev>
                        <div class="click-area">
                        </div>
                    </ng-template>
                    <ng-template #carouselNext>
                        <div class="click-area">
                        </div>
                    </ng-template>

                    <ng-template #carouselDot let-model>
                        <div class="ball bg-accent"></div>
                    </ng-template>

                    <ng-template #carouselProgress let-progress>
                        <div class="progress"></div>
                    </ng-template>

                </ngx-light-carousel>
            </div>
            <div class="col-md-3">
                <div class="header-img">
                    <div class="img-item">
                        <img src="..\assets\img\original-22177.jpg" />
                        <a class="img-text" href="">

                        </a>
                    </div>
                    <div class="img-item">
                        <img src="..\assets\img\shopping.jpg" />
                        <a class="img-text" href="">

                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="feature">
    <div class="container-fluid">
        <div class="row align-items-center">
            <div class="col-lg-3 col-md-6 feature-col">
                <div class="feature-content">
                    <i class="fab fa-cc-mastercard"></i>
                    <h2>Secure Payment</h2>
                   
                </div>
            </div>
            <div class="col-lg-3 col-md-6 feature-col">
                <div class="feature-content">
                    <i class="fa fa-truck"></i>
                    <h2>Worldwide Delivery</h2>
                    
                </div>
            </div>
            <div class="col-lg-3 col-md-6 feature-col">
                <div class="feature-content">
                    <i class="fa fa-sync-alt"></i>
                    <h2>90 Days Return</h2>
                    
                </div>
            </div>
            <div class="col-lg-3 col-md-6 feature-col">
                <div class="feature-content">
                    <i class="fa fa-comments"></i>
                    <h2>24/7 Support</h2>
                   
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Feature End-->

<!-- Category Start-->
<div class="category">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-3">
                <div class="category-item ch-400">
                    <img src="..\assets\img\©Ivanko80-AdobeStock.jpeg" />
                    <a class="category-name" href="">

                    </a>
                </div>
            </div>
            <div class="col-md-3">
                <div class="category-item ch-250">
                    <img src="..\assets\img\category-4.jpg" />
                    <a class="category-name" href="">

                    </a>
                </div>
                <div class="category-item ch-150">
                    <img src="..\assets\img\category-5.jpg" />
                    <a class="category-name" href="">

                    </a>
                </div>
            </div>
            <div class="col-md-3">
                <div class="category-item ch-150">
                    <img src="..\assets\img\category-6.jpg" />
                    <a class="category-name" href="">
                        <p>Some text goes here that describes the image</p>
                    </a>
                </div>
                <div class="category-item ch-250">
                    <img src="..\assets\img\category-7.jpg" />
                    <a class="category-name" href="">
                        <p>Some text goes here that describes the image</p>
                    </a>
                </div>
            </div>
            <div class="col-md-3">
                <div class="category-item ch-400">
                    <img src="..\assets\img\shopping.jpg" />
                    <a class="category-name" href="">
                        <p>Some text goes here that describes the image</p>
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Category End-->

<!-- Call to Action Start -->
<div class="call-to-action">
    <div class="container-fluid">
        <div class="row align-items-center">
            <div class="col-md-6">
                <h1>call us for any queries</h1>
            </div>
            <div class="col-md-6">
                <a href="tel:0123456789">+216 94 838 073</a>
            </div>
        </div>
    </div>
</div>
<!-- Call to Action End -->

<!-- Featured Product Start -->
<div class="featured-product product">
    <div class="container-fluid">
        <div class="section-header">
            <h1>Promotion</h1>
        </div>
        <div class="row align-items-center product-slider product-slider-4">
            <div class="col-lg-3" *ngFor="let p of promo">
                <div class="product-item">
                    <div class="product-title">
                        <div  class="remise">-{{p?.remise}}%</div><a [routerLink]="['/detailpromo',p.id]">{{p.name}}<br>  </a>
                        
                    </div>
                    <div class="product-image">
                        <a>
                            <img src="http://127.0.0.1:8887/{{p?.img}}" alt="Product Image">
                        </a>
                        <div class="product-action">
                            <a href="#"><i class="fa fa-cart-plus"></i></a>
                            <a href="#"><i class="fa fa-heart"></i></a>
                            <a [routerLink]="['/detailpromo',p.id]"><i class="fa fa-search"></i></a>
                        </div>
                    </div>
                    <div class="product-price">
                        <h3><span></span>{{p.price}} DT</h3><br>
                        <del style="color: rgb(162, 162, 162);">{{p.price+((p.price/100)*p?.remise)}} TND</del>
                        <a class="btn" [routerLink]="['/detailpromo',p.id]"><i class="fa fa-shopping-cart"></i>Buy
                            Now</a>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>
<!-- Featured Product End -->

<!-- Newsletter Start -->
<div class="newsletter">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-6">
                <h1>Subscribe Our Newsletter</h1>
            </div>
            <div class="col-md-6">
                <div class="form">
                    <input type="email" value="Your email here">
                    <button>Submit</button>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Newsletter End -->

<!-- Recent Product Start -->
<div class="recent-product product">
    <div class="container-fluid">
        <div class="section-header">
            <h1>Recent Promotion</h1>
        </div>
        <div class="row align-items-center product-slider product-slider-4">
            <div class="col-lg-3" *ngFor="let p of promo">
                <div class="product-item">
                    <div class="product-title">
                        <div  class="remise">-{{p?.remise}}%</div><a [routerLink]="['/detailpromo',p.id]">{{p.name}}<br>  </a>
                        
                    </div>
                    <div class="product-image">
                        <a href="product-detail.html">
                            <img  src="http://127.0.0.1:8887/{{p?.img}}" alt="Product Image">
                        </a>
                        <div class="product-action">
                             <a class="btn"  (click)="addToCart()"><i class="fa fa-cart-plus"></i></a>
                            <a href="#"><i class="fa fa-heart"></i></a>
                            <a href="#"><i class="fa fa-search"></i></a>
                        </div>
                    </div>
                    <div class="product-price">
                        <h3><span></span>{{p?.price}} TND</h3><br>
                        <del style="color: gray;">{{p.price+((p.price/100)*p?.remise)}} TND</del>
                        <a [routerLink]="['/detailpromo',p.id]" class="btn" ><i class="fa fa-shopping-cart"></i>Buy Now</a>
                    </div>
                </div>
            </div>
   
            
        </div>
    </div>
</div>
<!-- Recent Product End -->

<!-- Review Start -->
